* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 25px 115px;
  z-index: 999;
  transition: 2s;
  background: white;
  box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
}

header.sticky {
  padding: 25px 125px;
  color: white;
}

header .brand {
  font-size: 20px;
  color: blue;
  font-weight: 700;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 2px;
}

header .menu {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

header .menu a {
  font-size: 18px;
  font-weight: 600;
  text-decoration: none;
  color: hsl(230, 75%, 15%);
  margin: 0 20px;
  padding: 5px;
  transition: 0.3s;
  transition-property: color, background;
}

header .menu a:hover {
  color: blue;
}

header .btnMenu {
  font-size: 25px;
  cursor: pointer;
  color: blue;
  display: none;
}

@media (max-width: 700px) {
  header {
    padding: 30px;
  }

  header.sticky {
    padding: 30px 40px;
  }

  header .btnMenu {
    display: block;
  }

  header .menu.active {
    background-color: white;
    right: 0;
  }

  header .menu {
    position: fixed;
    flex-direction: column;
    min-width: 100%;
    height: 100vh;
    top: 0;
    right: -100%;
    padding: 80px 40px;
    transition-property: right;
    transition: 0.9s;
  }

  header .menu .close-btn {
    position: absolute;
    top: 0;
    left: 0;
    margin: 25px;
  }

  header .menu a {
    display: block;
    font-size: 16px;
    margin: 20px;
    padding: 0 15px;
  }
}

#home {
  margin-top: 15vh;
  border-radius: 10px;
  width: 86%;
  margin-left: 7%;
  height: 80vh;
  display: flex;
  justify-content: space-between;
  /* border: 2px solid red; */
  background-color: rgba(211, 211, 211, 0.116);
}

.home-details {
  height: 100%;
  width: 45%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.home-details h1 {
  text-align: center;
  color: hsla(231, 74%, 15%, 0.831);
  font-size: 50px;
}

.rotating-text-wrapper {
  height: 10vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.rotating-text-wrapper h2 {
  font-size: 2em;
  margin: 0;
  color: #fff;
  animation-duration: 9s;
  animation-iteration-count: infinite;
  opacity: 0;
}

.rotating-text-wrapper h2:nth-child(1) {
  border-radius: 10px;
  color: red;
  animation-name: rotating-text-1;
}

@keyframes rotating-text-1 {
  0% {
    transform: translateY(200%);
  }

  33% {
    transform: translateY(100%);
    opacity: 1;
  }

  34% {
    opacity: 0;
  }
}

.rotating-text-wrapper h2:nth-child(2) {
  color: orange;
  border-radius: 10px;
  animation-name: rotating-text-2;
}

@keyframes rotating-text-2 {
  33% {
    transform: translateY(100%);
    opacity: 0;
  }

  66% {
    transform: translateY(0);
    opacity: 1;
  }

  67% {
    opacity: 0;
  }
}

.rotating-text-wrapper h2:nth-child(3) {
  color: green;
  animation-name: rotating-text-3;
  border-radius: 10px;
}

@keyframes rotating-text-3 {
  66% {
    transform: translateY(0);
    opacity: 0;
  }

  99% {
    transform: translateY(-100%);
    opacity: 1;
  }

  100% {
    transform: translateY(-100%);
    opacity: 0;
  }
}

@media screen and (max-width: 576px) {
  .rotating-text-wrapper {
    font-size: 0.7rem;
  }
}

.icons {
  margin-top: 7vh;
  margin-bottom: 5vh;
}

.icons i {
  margin-left: 15px;
  font-size: 30px;
}

.linkedin {
  color: #0a66c2;
}

.github {
  color: black;
}

.twitter {
  color: rgb(22, 175, 235);
}

/* CSS */
.button-18 {
  align-items: center;
  background-color: blue;
  border: 0;
  border-radius: 100px;
  box-sizing: border-box;
  color: #ffffff;
  cursor: pointer;
  display: inline-flex;
  font-family: -apple-system, system-ui, system-ui, "Segoe UI", Roboto,
    "Helvetica Neue", "Fira Sans", Ubuntu, Oxygen, "Oxygen Sans", Cantarell,
    "Droid Sans", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol",
    "Lucida Grande", Helvetica, Arial, sans-serif;
  font-size: 16px;
  font-weight: 600;
  justify-content: center;
  line-height: 20px;
  max-width: 480px;
  min-height: 40px;
  min-width: 0px;
  overflow: hidden;
  padding: 0px;
  padding-left: 20px;
  padding-right: 20px;
  text-align: center;
  touch-action: manipulation;
  transition: background-color 0.167s cubic-bezier(0.4, 0, 0.2, 1) 0s,
    box-shadow 0.167s cubic-bezier(0.4, 0, 0.2, 1) 0s,
    color 0.167s cubic-bezier(0.4, 0, 0.2, 1) 0s;
  user-select: none;
  -webkit-user-select: none;
  vertical-align: middle;
}

.button-18:hover,
.button-18:focus {
  background-color: #16437e;
  color: #ffffff;
}

.button-18:active {
  background: #09223b;
  color: rgb(255, 255, 255, 0.7);
}

.button-18:disabled {
  cursor: not-allowed;
  background: rgba(0, 0, 0, 0.08);
  color: rgba(0, 0, 0, 0.3);
}

#about {
  background-color: #bad0e92a;
  width: 86%;
  height: 85vh;
  display: flex;
  flex-direction: row;
  margin-left: 7%;
  margin-top: 5vh;
  margin-bottom: 5vh;
  border-radius: 10px;
  justify-content: space-around;

}

.about-details {
  display: flex;
  flex-direction: column;
  width: 40%;
  align-items: center;
  text-align: center;
  justify-content: center;
  font-size: 20px;
}

.about-details h1 {
  margin-bottom: 25px;
}

.about-details img {
  height: 300px;
  align-items: center;
}

.skills-main {
  background-color: whitesmoke;
  display: flex;
  justify-content: space-evenly;
  width: 86%;
  border-radius: 10px;
  margin-left: 7%;
  margin-bottom: 40px;
}

.skills {
  /* border: 1px solid gainsboro; */
  width: 90%;
  margin-top: 100px;
  margin-bottom: 100px;
  border-radius: 10px;
}

.skills h1 {
  margin: 20px;
  text-align: center;
  color: #6674cc;
}

.skill-set {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  gap: 15px;
}

.skill {
  background-color: white;
  width: 110px;
  text-align: center;
  align-items: center;
  font-size: 18px;
  border-radius: 5px;
  padding: 10px;
}

.skill p {
  margin-top: 5px;
}

.skill img {
  margin: auto;
  height: 50px;
  width: 50px;
}

.skill:hover {
  box-shadow: rgba(0, 0, 0, 0.09) 0px 3px 12px;
}

h1 {
  text-align: center;
  margin: 30px;
}

#projects {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  width: 86%;
  margin-left: 7%;
  margin-bottom: 100px;
  margin-top: 50px;
}

.product-card {
  display: grid;
  grid-template-columns: 1fr;
  gap: 10px;
  max-width: 300px;
  margin: 20px auto;
  border: 1px solid rgba(131, 126, 126, 0.495);
  border-radius: 8px;
  overflow: hidden;
}


.product-card img {
  width: 100%;
  height: 200px;
  border-bottom: 1px solid #ddd;
}

.product-details {
  padding: 15px;
}

.product-name {
  font-size: 1.5em;
  font-weight: bold;
  margin-bottom: 5px;
}

.product-description {
  font-size: 1.1em;
  color: #555;
  margin-bottom: 10px;
  word-wrap: normal;
}

.product-buttons {
  display: flex;
  justify-content: left;
  align-items: center;
  gap: 5px;
}

.button {
  font-size: 1em;
  padding: 8px 12px;
  background-color: #4caf50;
  color: #fff;
  text-decoration: none;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.button:hover {
  background-color: #45a049;
}

.button1 {
  font-size: 1em;
  padding: 8px 20px;
  background-color: #af4c4c;
  color: #fff;
  text-decoration: none;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.button1:hover {
  background-color: #a04545;
}

.contact-me-section {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  min-height: 60vh;
  background-color: #f4f4f4;
}

.contact-info {
  flex: 1;
  max-width: 500px;
  padding: 20px;
  border: 1px solid #ddd;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.map {
  flex: 1;
  max-width: 500px;
  height: 300px;
  /* Set your preferred height for the map */
  border: 1px solid #ddd;
  border-radius: 8px;
  overflow: hidden;
}

.social-icons {
  display: flex;
  margin-top: 20px;
}

.social-icons a {
  display: inline-block;
  margin-right: 15px;
  text-decoration: none;
  color: #333;
  font-size: 1.5em;
  transition: color 0.3s;
}

.social-icons a:hover {
  color: blue;
}

.footer-copyright {
  background-color: blue;
  color: #ffffff;
  padding: 15px;
  text-transform: capitalize;
  text-align: center;
}

.footer-copyright p {
  margin-bottom: 0px;
}

@media (max-width: 951px) {
  #home {
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    margin-top: 12vh;
    padding-bottom: 25px;
  }

  .home-details {
    height: 50%;
    width: 100%;
  }

  .home-details img {
    height: 95%;
  }

  .home-details h1 {
    font-size: 35px;
  }

  .about-details {
    padding-right: 20px;
    width: 60%;
    font-size: 18px;
  }

  .about-details img {
    height: 250px;
    align-items: center;
  }
}

@media (max-width: 700px) {
  #about {
    margin-top: 100px;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
  }

  .about-details img {
    height: 200px;
  }

  .about-details {
    width: 90%;
    font-size: 14px;
  }
}

@media (max-width: 1250px) {
  .skill-set {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 10px;
  }
}

@media (max-width: 1140px) {
  .skill-set {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 10px;
  }
}

@media (max-width: 1000px) {
  .skill-set {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
  }
}

@media (max-width: 820px) {
  .skill-set {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 5px;
  }
}

@media (max-width: 660px) {
  .skill-set {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    padding-left: 5%;
  }

  @media (max-width: 520px) {
    .skill-set {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      padding-left: 5%;
    }
  }
}

@media (max-width: 1500px) {
  #projects {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    width: 86%;
    margin-left: 7%;
    margin-bottom: 100px;
    margin-top: 50px;
  }
}

@media (max-width: 1100px) {
  #projects {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 86%;
    margin-left: 7%;
    margin-bottom: 100px;
    margin-top: 50px;
  }
}

@media (max-width: 750px) {
  #projects {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    width: 86%;
    margin-left: 7%;
    margin-bottom: 100px;
    margin-top: 50px;
  }
}

@media (max-width: 1040px) {
  .map {
    max-width: 400px;
  }
}

@media (max-width: 950px) {
  .map {
    max-width: 300px;
  }
}

@media (max-width: 840px) {
  .contact-me-section {
    padding: 50px;
    gap: 50px;
    flex-direction: column;
  }

  .map {
    max-width: 500px;
  }
}

@media (max-width: 625px) {
  .map {
    max-width: 400px;
  }
}

@media (max-width: 500px) {
  .map {
    max-width: 280px;
  }
}

@media (max-width: 342px) {
  #home {
    margin-top: 10vh;
  }

  .home-details img {
    height: 220px;
  }

  .home-details h1 {
    font-size: 25px;
  }

  .icons {
    margin-top: 15px;
  }

  .rotating-text-wrapper {
    font-size: 12px;
  }
}

/* width */
::-webkit-scrollbar {
  width: 0.3rem;
  height: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: whitesmoke
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: blue;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: rgb(37, 37, 221);
}

.top {
  position: fixed;
  margin-top: 65vh;
  margin-left: 95%;
  height: 50px;
  width: 50px;
  background-color: blue;
  border-radius: 50%;
  text-align: center;
  font-size: 20px;
  color: white;
  border: none;
  cursor: pointer;
}

.top:hover {
  cursor: pointer;
}

@media (max-width: 1000px) {
  .top {
    display: none;
  }
}